define servicedependency {
	dependent_hostgroup_name		NS PrivateDMZ
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker NS PrivateDMZ
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		NS PublicDMZ
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker NS PublicDMZ
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		NS Trust
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker NS Trust
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		NS Untrust, NS Restricted
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker NS Untrust
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		151 PrivateDMZ
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker 151 PrivateDMZ
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		151 PublicDMZ
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker 151 PublicDMZ
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		151 Trust
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker 151 Trust
	notification_failure_criteria		c
}

define servicedependency {
	dependent_hostgroup_name		151 Untrust, 151 Restricted
	dependent_service_description		.*
	host_name				monitor
	service_description			Gearman worker 151 Untrust
	notification_failure_criteria		c
}

define servicedependency {
	hostgroup_name			Windows Prod
	dependent_service_description	nrpe_win_.*, !nrpe_win_agent_status
	use				NRPE_Win_Dependency
}

define servicedependency {
	hostgroup_name			Physical Prod Windows
	dependent_service_description	snmp_win_.*, !snmp_win_alive
	use				SNMP_Win_Dependency
}

define servicedependency {
	hostgroup_name			Windows Dev/QA
	dependent_service_description	nrpe_wintest_.*, !nrpe_wintest_agent_status
	use				NRPE_Win_NonProd_Dependency
}

define servicedependency {
	hostgroup_name			Windows Dev/QA
	dependent_service_description	snmp_wintest_.*, !snmp_wintest_alive
	use				SNMP_Win_NonProd_Dependency
}

define servicedependency {
	hostgroup_name			Linux Prod, Solaris
	dependent_service_description	nrpe_unix_.*, !nrpe_unix_agent_status
	use				NRPE_Unix_Dependency
}

define servicedependency {
	hostgroup_name			Physical Prod Linux
	dependent_service_description	snmp_unix_.*, !snmp_unix_alive
	use				SNMP_Unix_Dependency
}

define servicedependency {
	hostgroup_name			Linux Dev/QA
	dependent_service_description	nrpe_unixtest_.*, !nrpe_unixtest_agent_status
	use				NRPE_Unix_NonProd_Dependency
}

define servicedependency {
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Linux DevQA - no SNMP
	dependent_service_description	snmp_unixtest_.*, !snmp_unixtest_alive
	use				SNMP_Unix_NonProd_Dependency
}

define servicedependency {
	dependent_host_name		backupvpn
	dependent_service_description	Comcast
	host_name			backupvpn
	service_description		Google through Comcast
	notification_failure_criteria	c
}

define servicedependency {
	dependent_host_name		backupvpn
	dependent_service_description	Verizon
	host_name			backupvpn
	service_description		Yahoo through Verizon
	notification_failure_criteria	c
}

define servicedependency {
	name				NRPE_Unix_Dependency
	service_description		nrpe_unix_agent_status
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				NRPE_Unix_NonProd_Dependency
	service_description		nrpe_unixtest_agent_status
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				NRPE_Win_Dependency
	service_description		nrpe_win_agent_status
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				NRPE_Win_NonProd_Dependency
	service_description		nrpe_wintest_agent_status
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				SNMP_Win_Dependency
	service_description		snmp_win_alive
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				SNMP_Win_NonProd_Dependency
	service_description		snmp_wintest_alive
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				SNMP_Unix_Dependency
	service_description		snmp_unix_alive
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				SNMP_Unix_NonProd_Dependency
	service_description		snmp_unixtest_alive
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

define servicedependency {
	name				maestro_carryfwd_dependency
	service_description		jnextcheck
	execution_failure_criteria	w,u,c
	notification_failure_criteria	w,u,c
	register			0
}

